package com.gic.haoban.manage.web.qo.target;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2023/1/15 17:49
 */
public class QueryDataStatisticsCommonQO implements Serializable {

    /**
     * 门店查询参数. 区经可以为空，查询所有管辖门店
     */
    private String storeId;

    /**
     * 1：年 2：月
     */
    private Integer timeType = 1;

    /**
     * 如果是年 yyyy 格式 如果是月 yyyy-MM格式
     */
    private String time;

    /**
     * 企业ID.必传
     */
    private String enterpriseId;

    /**
     * 微信企业
     */
    private String wxEnterpriseId;

    /**
     * 如果是区经，用于查询管辖门店权限
     */
    private String clerkId;


    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public QueryDataStatisticsCommonQO setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
        return this;
    }

    public String getClerkId() {
        return clerkId;
    }

    public QueryDataStatisticsCommonQO setClerkId(String clerkId) {
        this.clerkId = clerkId;
        return this;
    }

    public String getStoreId() {
        return storeId;
    }

    public QueryDataStatisticsCommonQO setStoreId(String storeId) {
        this.storeId = storeId;
        return this;
    }

    public Integer getTimeType() {
        return timeType;
    }

    public QueryDataStatisticsCommonQO setTimeType(Integer timeType) {
        this.timeType = timeType;
        return this;
    }

    public String getTime() {
        return time;
    }

    public QueryDataStatisticsCommonQO setTime(String time) {
        this.time = time;
        return this;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public QueryDataStatisticsCommonQO setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }
}
